from typing import Any


# 000000、999999 成功失败
# 100000~100099 协议
# 101000~101099 Agent错误
# 200000~209999 业务错误

STATUS_EXCEPTION = "0"  # 执行异常
STATUS_NEXT_ROUND = "1"  # 提示用户输入
STATUS_PLANNING_CONFIRM = "2"  # 编排人工确认
STATUS_NOTIFICATION = "3"  # 提醒消息
STATUS_NEED_CONFIRM = "8"  # 入参人工确认
STATUS_SUCCESS = "9"  # 执行成功
STATUS_COMPLETED = "11"  # 任务已经完成或被销毁

RETURN_CODE_SUCCESS = "000000"
RETURN_CODE_PROCESSING = "000001"
RETURN_CODE_FAILED = "999999"
RETURN_CODE_UNIQUE_NO_EMPTY = "100001"
RETURN_CODE_APP_ID_EMPTY = "100002"
RETURN_CODE_APP_ID_ERROR = "100003"
RETURN_CODE_BODY_EMPTY = "100004"
RETURN_CODE_TASK_EXEC_MAX_TIMES = "100005"
RETURN_CODE_TASK_EXEC_ERROR = "100006"
RETURN_CODE_TASK_EXEC_TIMEOUT = "100007"
RETURN_CODE_UNIQUE_NO_IN_PROCESSING = "100008"
RETURN_CODE_COSPLAY_NOT_FOUND = "100009"
RETURN_CODE_AUTH_CLIENT_3RD_ERROR = "100010"


RETURN_CODE_AGENT_ERROR = "101099"
RETURN_CODE_AGENT_STATUS_ERROR = "101001"

RETURN_CODE_AGENT_REALIZE_LLM_ERROR = "101101"
RETURN_CODE_AGENT_REALIZE_LLM_FORMAT = "101102"
RETURN_CODE_AGENT_REALIZE_LLM_NONE = "101103"
RETURN_CODE_AGENT_REALIZE_LLM_NOT_FIND = "101104"
RETURN_CODE_AGENT_REALIZE_COS_NOT_FIND = "101105"
RETURN_CODE_AGENT_REALIZE_PLAN_STEPS_EMPTY = "101106"
RETURN_CODE_AGENT_PLANNING_GENERATE_ERROR = "101301"
RETURN_CODE_AGENT_PLANNING_CONFIRM_STEPS_FORMAT_ERROR = "101302"
RETURN_CODE_AGENT_COMPLETED = "101600"
RETURN_CODE_AGENT_COMFIRM_INPUT_FORMAT_ERROR = "101800"


RETURN_CODE_CLIENT_COSPLAY_DISABLE = "200001"
RETURN_CODE_USER_NOT_LOGIN = "200002"
RETURN_CODE_LOGIN_ACCOUNT_NULL = "200003"
RETURN_CODE_LOGIN_PASSWORD_NULL = "200004"
RETURN_CODE_LOGIN_INFO_ERROR = "200005"
RETURN_CODE_LOGIN_INFO_ERROR_TIMES = "200006"
RETURN_CODE_LOGIN_ACCOUNT_BAND = "200007"
RETURN_CODE_LOGIN_ERROR_TIMES_BAND = "200008"
RETURN_CODE_LOGIN_INFO_NULL = "200009"
RETURN_CODE_LOGIN_SERVICE_INNER_ERROR = "200010"
RETURN_CODE_LOGIN_USER_MAIL_NULL = "200011"
RETURN_CODE_LOGIN_USER_DEPT_NULL = "200012"
RETURN_CODE_MAX_ONLINE_OR_AUTH_EXPIRE = "200013"

# add by licl at 20240909
RETURN_CODE_SCENE_NULL = "300001"
RETURN_CODE_SCENE_UNKNOWN = "300002"


RETURN_MESSAGE = {
    RETURN_CODE_SUCCESS: "调用成功",
    RETURN_CODE_PROCESSING: "处理中。。。",
    RETURN_CODE_FAILED: "调用失败，系统内部错误",
    RETURN_CODE_UNIQUE_NO_EMPTY: "任务序列号unique_no为空",
    RETURN_CODE_APP_ID_EMPTY: "app_id为空",
    RETURN_CODE_APP_ID_ERROR: "app_id错误",
    RETURN_CODE_BODY_EMPTY: "请求body为空",
    RETURN_CODE_COSPLAY_NOT_FOUND: "智能体id不存在",
    RETURN_CODE_TASK_EXEC_MAX_TIMES: "任务执行超过循环最大次数",
    RETURN_CODE_TASK_EXEC_ERROR: "任务执行的原子能力脚本异常\n[msg]",
    RETURN_CODE_TASK_EXEC_TIMEOUT: "任务执行的原子能力超时",
    RETURN_CODE_UNIQUE_NO_IN_PROCESSING: "当前unique_no正在使用，不能重复调用",
    RETURN_CODE_AGENT_ERROR: "任务执行异常",
    RETURN_CODE_AGENT_STATUS_ERROR: "任务状态异常",
    RETURN_CODE_AGENT_REALIZE_LLM_ERROR: "调用大模型错误",
    RETURN_CODE_AGENT_REALIZE_LLM_FORMAT: "大模型返回格式错误",
    RETURN_CODE_AGENT_REALIZE_LLM_NONE: "大模型返回原子能力名为空",
    RETURN_CODE_AGENT_REALIZE_LLM_NOT_FIND: "找不到相应原子能力",
    RETURN_CODE_AGENT_REALIZE_COS_NOT_FIND: "找不到智能体",
    RETURN_CODE_AGENT_REALIZE_PLAN_STEPS_EMPTY: "规划的步骤为空",
    RETURN_CODE_AGENT_COMPLETED: "任务结束",
    RETURN_CODE_AGENT_PLANNING_GENERATE_ERROR: "规划类型错误",
    RETURN_CODE_AGENT_PLANNING_CONFIRM_STEPS_FORMAT_ERROR: "规划输入的步骤格式错误",
    RETURN_CODE_AGENT_COMFIRM_INPUT_FORMAT_ERROR: "参数确认环节输入格式错误",
    RETURN_CODE_CLIENT_COSPLAY_DISABLE: "当前分身已被禁用或删除",
    RETURN_CODE_USER_NOT_LOGIN: "用户未登录",
    RETURN_CODE_LOGIN_ACCOUNT_NULL: "用户名为空",
    RETURN_CODE_LOGIN_PASSWORD_NULL: "用户密码为空",
    RETURN_CODE_LOGIN_INFO_ERROR: "用户名或密码错误",
    RETURN_CODE_LOGIN_INFO_ERROR_TIMES: "[msg]",
    RETURN_CODE_LOGIN_ACCOUNT_BAND: "用户已被禁止登录",
    RETURN_CODE_LOGIN_ERROR_TIMES_BAND: "用户账号登录数量超过阈值！",
    RETURN_CODE_LOGIN_INFO_NULL: "登录信息为空！",
    RETURN_CODE_LOGIN_SERVICE_INNER_ERROR: "登录服务内部错误",
    RETURN_CODE_LOGIN_USER_MAIL_NULL: "用户邮箱为空",
    RETURN_CODE_LOGIN_USER_DEPT_NULL: "用户组织信息为空",
    RETURN_CODE_MAX_ONLINE_OR_AUTH_EXPIRE: "当前在线数量超出最大数量或授权已过期",
    RETURN_CODE_SCENE_NULL: "场景为空",
    RETURN_CODE_SCENE_UNKNOWN: "未知场景",
    RETURN_CODE_AUTH_CLIENT_3RD_ERROR: "三方客户端接入授权验证失败",
}

USER_SERVICE_RETURN_CODE_DICT = {
    "HTTP200": RETURN_CODE_SUCCESS,
    "HTTP500": RETURN_CODE_FAILED,
    "SYS1001": RETURN_CODE_USER_NOT_LOGIN,
    "SYS1002": RETURN_CODE_LOGIN_ACCOUNT_NULL,
    "SYS1003": RETURN_CODE_LOGIN_PASSWORD_NULL,
    "SYS1004": RETURN_CODE_LOGIN_INFO_ERROR,
    "SYS1005": RETURN_CODE_LOGIN_INFO_ERROR_TIMES,
    "SYS1006": RETURN_CODE_LOGIN_ACCOUNT_BAND,
    "SYS1007": RETURN_CODE_LOGIN_ERROR_TIMES_BAND,
    "SYS1008": RETURN_CODE_LOGIN_INFO_NULL,
    "SYS9999": RETURN_CODE_LOGIN_SERVICE_INNER_ERROR,
    "USER1002": RETURN_CODE_LOGIN_ACCOUNT_NULL,
    "USER1003": RETURN_CODE_LOGIN_PASSWORD_NULL,
    "USER1004": RETURN_CODE_LOGIN_USER_MAIL_NULL,
    "USER1008": RETURN_CODE_LOGIN_USER_DEPT_NULL,
}


def gen_result(
    status: str,
    unique_no: str,
    msg=None,
    biz_name: str = "",
    biz_cn_name: str = "",
    submit_class: int = 0,
    code: str = "",
    step: int = None,
    files: list = None,
) -> dict:
    """
    生成返回结果
    status: str, 状态
        STATUS_EXCEPTION = "0"  # 执行异常
        STATUS_NEXT_ROUND = "1"  # 提示用户输入
        STATUS_PLANNING_CONFIRM = "2"  # 编排人工确认
        STATUS_NOTIFICATION = "3"  # 提醒消息
        STATUS_NEED_CONFIRM = "8"  # 入参人工确认
        STATUS_SUCCESS = "9"  # 执行成功
        STATUS_COMPLETED = "11"  # 任务已经完成或被销毁

    unique_no: str,
        任务唯一标识
    msg=None,

    biz_name: str = "",
    biz_cn_name: str = "",
    submit_class: int = 0,
    code: str = "",
    step: int = None, 返回
    files: list = None, 返回文件

    """
    return {}
